SD_BUS_MESSAGE_SET_DESTINATION(3)

NAME
sd_bus_message_set_destination, sd_bus_message_set_sender - Set the destination or sender service name of a bus message

SYNOPSIS

#include <systemd/sd-bus.h>

int sd_bus_message_set_destination(sd_bus_message *message, const char *destination);

int sd_bus_message_set_sender(sd_bus_message *message, const char *sender);

DESCRIPTION

sd_bus_message_set_destination() sets the destination service name for the specified bus message object. The specified name must be a valid unique or well-known service name.

sd_bus_message_set_sender() sets the sender service name for the specified bus message object. The specified name must be a valid unique or well-known service name. This function is useful only for messages to send on direct connections as for connections to bus brokers the broker will fill in the destination field anyway, and the sender field set by original sender is ignored.

RETURN VALUE

On success, these calls return 0 or a positive integer. On failure, these calls return a negative errno-style error code.

ERRORS

Returned errors may indicate the following problems:

-EINVAL
    A specified parameter is invalid.

-EPERM
    The message is already sealed.

-EEXIST
    The message already has a destination or sender field set.

NOTES

These APIs are implemented as a shared library, which can be compiled and linked to with the libsystemd pkg-config(1) file.

SEE ALSO

systemd(1), sd-bus(3), sd_bus_new(3), sd_bus_set_sender(3)